﻿@model ListKong.Models.InventoryReportModel
@*IEnumerable<ListKong.Models.InventoryListModel>*@

@{
    ViewData["Title"] = "InventoryReport";
}
<link href="~/lib/datatables/media/css/jquery.dataTables.min.css" rel="stylesheet" />
<link href="~/lib/datatables/media/css/buttons.dataTables.min.css" rel="stylesheet" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/css/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
<link href="https://cdn.datatables.net/fixedcolumns/3.3.1/css/fixedColumns.dataTables.min.css" rel="stylesheet" />
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" />

<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/fixedcolumns/3.3.1/js/dataTables.fixedColumns.min.js"></script>
<script src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script src="~/lib/datatables/media/js/dataTables.buttons.min.js"></script>
<script src="~/lib/datatables/media/js/jszip.min.js"></script>
<script src="~/lib/datatables/media/js/pdfmake.min.js"></script>
<script src="~/lib/datatables/media/js/vfs_fonts.js"></script>
<script src="~/lib/datatables/media/js/buttons.html5.min.js"></script>


<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>

<script src="https://www.jonthornton.com/jquery-timepicker/jquery.timepicker.js"></script>
<link rel="stylesheet" type="text/css" href="https://www.jonthornton.com/jquery-timepicker/jquery.timepicker.css" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/js/bootstrap-datepicker.js"></script>
<script src="~/lib/time/jquery.datepair.min.js"></script>
<script src="~/lib/time/datepair.min.js"></script>
<style>
    .form-control-date-range {
        display: inline-block;
        width: 60%;
        height: 34px;
        padding: 6px 12px;
        font-size: 14px;
        line-height: 1.42857143;
        color: #555;
        background-color: #fff;
        background-image: none;
        border: 1px solid #ccc;
        border-radius: 4px;
        -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
        -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    }

    .form-control-time-range {
        display: inline-block;
        width: 30%;
        height: 34px;
        padding: 6px 12px;
        font-size: 14px;
        line-height: 1.42857143;
        color: #555;
        background-color: #fff;
        background-image: none;
        border: 1px solid #ccc;
        border-radius: 4px;
        -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
        -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    }
    /*table.dataTable tr th.select-checkbox:before {
        content: ' ';
        margin-top: -6px;
        margin-left: -6px;
        border: 1px solid black;
        border-radius: 3px;
    }*/

    table.dataTable tr th.select-checkbox:before {
        content: ' ';
        margin-top: -6px;
        margin-left: -6px;
        padding-left: 6px;
        padding-right: 6px;
        border: 1px solid black;
        border-radius: 3px;
        font-size:10px;
    }
   
    table.dataTable tr th.select-checkbox.selected::after {
        content: "✔";
        margin-top: -11px;
        margin-left: -12px;
        text-align: center;
        text-shadow: rgb(176, 190, 217) 1px 1px, rgb(176, 190, 217) -1px -1px, rgb(176, 190, 217) 1px -1px, rgb(176, 190, 217) -1px 1px;
    }
</style>
<h2>InventoryReport</h2>

<div class="row" id="basicExample" style="margin-bottom:20px;">
   <input type="hidden" value="@ViewData["companyName"]" id="hdn" />
    <form asp-action="InventoryReport" method="post">
        <div class="col-md-5">
            <input type="text" class="date start form-control-date-range" asp-for="@Model.startDate" readonly placeholder="Choose Date" />
            <input type="text" class="time start form-control-time-range" asp-for="@Model.startTime" placeholder="Choose Time" required />
        </div>
        <div class="col-md-1"><label>To</label></div>
        <div class="col-md-5">
            <input type="text" class="time end form-control-time-range" asp-for="@Model.endTime" placeholder="Choose Time" required />
            <input type="text" class="date end form-control-date-range" asp-for="@Model.endDate" readonly placeholder="Choose Date" required />
        </div>

        <div class="col-md-1">
            <input type="submit" id="btnSearch" class="btn btn-primary" value="Filter Records" />
        </div>
    </form>
</div>
<hr />
<div class="row" style="margin-top:15px;">
    <table id="example" class="display table" style="width:100%">
        <thead>
            <tr>
                <th>
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().InvID)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().FullName)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().LocationName)
                </th>

                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().CompanyName)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().InvName)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().InvDesc)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().InvCreatedDate)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().InvStatus)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().StatusName)
                </th>
                <th style="display:none">
                    @Html.DisplayNameFor(model => model.listing.FirstOrDefault().userEmail)
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.listing)
            {
                <tr>
                    <td class="notexport">
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.InvID)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.FullName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.LocationName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CompanyName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.InvName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.InvDesc)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.InvCreatedDate)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.InvStatus)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.StatusName)
                    </td>
                    <td style="display:none">
                        @Html.DisplayFor(modelItem => item.userEmail)
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
<script>
    $(document).ready(function () {
        var cmp = $("#hdn").val();
        let example=$('#example').DataTable({
            dom: 'Bfrtip',
           
            columnDefs: [{
                orderable: false,
                className: 'select-checkbox',
                targets: 0
            }],
            select: {
                style: 'multi',
                selector: 'td:first-child'
            },
            order: [[1, 'asc']],

            buttons: [
                {
                    extend: 'pdfHtml5',
                    text: '<i class="fa fa-file-pdf-o"></i> PDF',
                    titleAttr: 'Export to PDF',
                    title: cmp +' Inventory Report',
                    orientation: 'landscape',
                    pageSize: 'LEGAL',
                    customize: function (doc) {
                        doc.styles.tableHeader.fontSize = 11;
                        doc.defaultStyle.fontSize = 10;
                        doc.defaultStyle.alignment = 'center';
                    },
                    exportOptions: {
                        columns: 'th:not(:first-child)'
                    }
                },
                {
                    extend: 'excelHtml5',
                    text: '<i class="fa fa-file-excel-o"></i> Excel',
                    titleAttr: 'Export to Excel',
                    title: cmp +' Inventory Report',
                    exportOptions: {
                        columns: ':not(:first-child)',
                    }
                }
                
            ]
        });
        example.on("click", "th.select-checkbox", function () {
            if ($("th.select-checkbox").hasClass("selected")) {
                example.rows().deselect();
                $("th.select-checkbox").removeClass("selected");
            } else {
                example.rows().select();
                $("th.select-checkbox").addClass("selected");
            }
        }).on("select deselect", function () {
            ("Some selection or deselection going on")
            if (example.rows({
                selected: true
            }).count() !== example.rows().count()) {
                $("th.select-checkbox").removeClass("selected");
            } else {
                $("th.select-checkbox").addClass("selected");
            }
        });
    });

</script>

<script>
    $('#basicExample .time').timepicker({
        'showDuration': true,
        'timeFormat': 'g:i A'
    });

    $('#basicExample .date').datepicker({
        'format': 'm/d/yyyy',
        'autoclose': true,
        'endDate': new Date(),
        'startDate': '-5d'
    });

    var basicExampleEl = document.getElementById('basicExample');
    var datepair = new Datepair(basicExampleEl);
</script>